Skip to main content
POST
This endpoint is idempotent using the external_id field. If a customer with the same external_id already exists, the existing customer will be updated and returned.

Path Parameters

business_id
string
required
ID of the Business the customer is associated with.

Body

external_id
string
External ID for the customer within your platform. Idempotency key.
individual_name
string
Name of the individual customer.
company_name
string
Name of the company customer.
email
string
Email address of the customer.
mobile_phone
string
Mobile phone number of the customer.
office_phone
string
Office phone number of the customer.
address_string
string
Full address of the customer.
notes
string
Notes about the customer.
tags
Array of Tags

Response

Returns the created Customer object